Loading...
Searching...
No Matches
gesv_rbt: Solves Ax = b using RBT + LU factorization (driver)
Dense LA » Linear system solvers » General matrices: RBT + no pivoting LU

## Functions

magma_int_t | magma_cgesv_rbt (magma_bool_t refine, magma_int_t n, magma_int_t nrhs, magmaFloatComplex *A, magma_int_t lda, magmaFloatComplex *B, magma_int_t ldb, magma_int_t *info)
| CGESV_RBT solves a system of linear equations A * X = B where A is a general N-by-N matrix and X and B are N-by-NRHS matrices.
magma_int_t | magma_dgesv_rbt (magma_bool_t refine, magma_int_t n, magma_int_t nrhs, double *A, magma_int_t lda, double *B, magma_int_t ldb, magma_int_t *info)
| DGESV_RBT solves a system of linear equations A * X = B where A is a general N-by-N matrix and X and B are N-by-NRHS matrices.
magma_int_t | magma_sgesv_rbt (magma_bool_t refine, magma_int_t n, magma_int_t nrhs, float *A, magma_int_t lda, float *B, magma_int_t ldb, magma_int_t *info)
| SGESV_RBT solves a system of linear equations A * X = B where A is a general N-by-N matrix and X and B are N-by-NRHS matrices.
magma_int_t | magma_zgesv_rbt (magma_bool_t refine, magma_int_t n, magma_int_t nrhs, magmaDoubleComplex *A, magma_int_t lda, magmaDoubleComplex *B, magma_int_t ldb, magma_int_t *info)
| ZGESV_RBT solves a system of linear equations A * X = B where A is a general N-by-N matrix and X and B are N-by-NRHS matrices.

## Detailed Description

## Function Documentation

## magma_cgesv_rbt()

magma_int_t magma_cgesv_rbt | ( | magma_bool_t | refine,
|  | magma_int_t | n,
|  | magma_int_t | nrhs,
|  | magmaFloatComplex * | A,
|  | magma_int_t | lda,
|  | magmaFloatComplex * | B,
|  | magma_int_t | ldb,
|  | magma_int_t * | info )

CGESV_RBT solves a system of linear equations A * X = B where A is a general N-by-N matrix and X and B are N-by-NRHS matrices.

Random Butterfly Tranformation is applied on A and B, then the LU decomposition with no pivoting is used to factor A as A = L * U, where L is unit lower triangular, and U is upper triangular. The factored form of A is then used to solve the system of equations A * X = B. The solution can then be improved using iterative refinement.

Parameters

  [in]

  refine

  magma_bool_t Specifies if iterative refinement is to be applied to improve the solution.
  - = MagmaTrue: Iterative refinement is applied.
  - = MagmaFalse: Iterative refinement is not applied.

  [in] | n | INTEGER The order of the matrix A. N >= 0.
  [in] | nrhs | INTEGER The number of right hand sides, i.e., the number of columns of the matrix B. NRHS >= 0.
  [in,out] | A | COMPLEX array, dimension (LDA,N). On entry, the M-by-N matrix to be factored. On exit, the factors L and U from the factorization A = P*L*U; the unit diagonal elements of L are not stored.
  [in] | lda | INTEGER The leading dimension of the array A. LDA >= max(1,N).
  [in,out] | B | COMPLEX array, dimension (LDB,NRHS) On entry, the right hand side matrix B. On exit, the solution matrix X.
  [in] | ldb | INTEGER The leading dimension of the array B. LDB >= max(1,N).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value

## magma_dgesv_rbt()

magma_int_t magma_dgesv_rbt | ( | magma_bool_t | refine,
|  | magma_int_t | n,
|  | magma_int_t | nrhs,
|  | double * | A,
|  | magma_int_t | lda,
|  | double * | B,
|  | magma_int_t | ldb,
|  | magma_int_t * | info )

DGESV_RBT solves a system of linear equations A * X = B where A is a general N-by-N matrix and X and B are N-by-NRHS matrices.

Random Butterfly Tranformation is applied on A and B, then the LU decomposition with no pivoting is used to factor A as A = L * U, where L is unit lower triangular, and U is upper triangular. The factored form of A is then used to solve the system of equations A * X = B. The solution can then be improved using iterative refinement.

Parameters

  [in]

  refine

  magma_bool_t Specifies if iterative refinement is to be applied to improve the solution.
  - = MagmaTrue: Iterative refinement is applied.
  - = MagmaFalse: Iterative refinement is not applied.

  [in] | n | INTEGER The order of the matrix A. N >= 0.
  [in] | nrhs | INTEGER The number of right hand sides, i.e., the number of columns of the matrix B. NRHS >= 0.
  [in,out] | A | DOUBLE PRECISION array, dimension (LDA,N). On entry, the M-by-N matrix to be factored. On exit, the factors L and U from the factorization A = P*L*U; the unit diagonal elements of L are not stored.
  [in] | lda | INTEGER The leading dimension of the array A. LDA >= max(1,N).
  [in,out] | B | DOUBLE PRECISION array, dimension (LDB,NRHS) On entry, the right hand side matrix B. On exit, the solution matrix X.
  [in] | ldb | INTEGER The leading dimension of the array B. LDB >= max(1,N).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value

## magma_sgesv_rbt()

magma_int_t magma_sgesv_rbt | ( | magma_bool_t | refine,
|  | magma_int_t | n,
|  | magma_int_t | nrhs,
|  | float * | A,
|  | magma_int_t | lda,
|  | float * | B,
|  | magma_int_t | ldb,
|  | magma_int_t * | info )

SGESV_RBT solves a system of linear equations A * X = B where A is a general N-by-N matrix and X and B are N-by-NRHS matrices.

Random Butterfly Tranformation is applied on A and B, then the LU decomposition with no pivoting is used to factor A as A = L * U, where L is unit lower triangular, and U is upper triangular. The factored form of A is then used to solve the system of equations A * X = B. The solution can then be improved using iterative refinement.

Parameters

  [in]

  refine

  magma_bool_t Specifies if iterative refinement is to be applied to improve the solution.
  - = MagmaTrue: Iterative refinement is applied.
  - = MagmaFalse: Iterative refinement is not applied.

  [in] | n | INTEGER The order of the matrix A. N >= 0.
  [in] | nrhs | INTEGER The number of right hand sides, i.e., the number of columns of the matrix B. NRHS >= 0.
  [in,out] | A | REAL array, dimension (LDA,N). On entry, the M-by-N matrix to be factored. On exit, the factors L and U from the factorization A = P*L*U; the unit diagonal elements of L are not stored.
  [in] | lda | INTEGER The leading dimension of the array A. LDA >= max(1,N).
  [in,out] | B | REAL array, dimension (LDB,NRHS) On entry, the right hand side matrix B. On exit, the solution matrix X.
  [in] | ldb | INTEGER The leading dimension of the array B. LDB >= max(1,N).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value

## magma_zgesv_rbt()

magma_int_t magma_zgesv_rbt | ( | magma_bool_t | refine,
|  | magma_int_t | n,
|  | magma_int_t | nrhs,
|  | magmaDoubleComplex * | A,
|  | magma_int_t | lda,
|  | magmaDoubleComplex * | B,
|  | magma_int_t | ldb,
|  | magma_int_t * | info )

ZGESV_RBT solves a system of linear equations A * X = B where A is a general N-by-N matrix and X and B are N-by-NRHS matrices.

Random Butterfly Tranformation is applied on A and B, then the LU decomposition with no pivoting is used to factor A as A = L * U, where L is unit lower triangular, and U is upper triangular. The factored form of A is then used to solve the system of equations A * X = B. The solution can then be improved using iterative refinement.

Parameters

  [in]

  refine

  magma_bool_t Specifies if iterative refinement is to be applied to improve the solution.
  - = MagmaTrue: Iterative refinement is applied.
  - = MagmaFalse: Iterative refinement is not applied.

  [in] | n | INTEGER The order of the matrix A. N >= 0.
  [in] | nrhs | INTEGER The number of right hand sides, i.e., the number of columns of the matrix B. NRHS >= 0.
  [in,out] | A | COMPLEX_16 array, dimension (LDA,N). On entry, the M-by-N matrix to be factored. On exit, the factors L and U from the factorization A = P*L*U; the unit diagonal elements of L are not stored.
  [in] | lda | INTEGER The leading dimension of the array A. LDA >= max(1,N).
  [in,out] | B | COMPLEX_16 array, dimension (LDB,NRHS) On entry, the right hand side matrix B. On exit, the solution matrix X.
  [in] | ldb | INTEGER The leading dimension of the array B. LDB >= max(1,N).

  [out]

  info

  INTEGER
  - = 0: successful exit
  - < 0: if INFO = -i, the i-th argument had an illegal value